| All Verbs | /RestApi/Sitefinity/Analytics/UpdatePermissions |
|---|
import Foundation
import ServiceStack
public class UpdatePermissionsMessage : Codable
{
public var dashboardIds:[DashboardPermission] = []
public var username:String
public var siteId:String
required public init(){}
}
// @DataContract
public class DashboardPermission : Codable
{
// @DataMember
public var dashboardId:String
// @DataMember
public var canView:Bool
required public init(){}
}
public class UpdatePermissionsData : Codable
{
required public init(){}
}
Swift UpdatePermissionsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/UpdatePermissions HTTP/1.1
Host: www.asg.com.au
Accept: application/json
Content-Type: application/json
Content-Length: length
{"DashboardIds":[{"CanView":false}],"Username":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{}